@ECHO OFF
CLS
PROMPT $P$G
IF "%1"=="" GOTO HELP
IF "%1"=="/v" GOTO VER
IF "%1"=="/V" GOTO VER
IF "%1"=="/h" GOTO HELP
IF "%1"=="/H" GOTO HELP
IF "%1"=="/?" GOTO HELP
GOTO INSTALL

REM ********* Help Message ****************

:HELP
ECHO ͻ
ECHO  ARK Logic, Inc  OS/2 Warp v4.0 Installation  Version 1.0 
ECHO ͹
ECHO  Syntax: INSTALL [source] [/i]                              
ECHO          INSTALL [source] [\path] [/i]                      
ECHO          INSTALL [/v] ; [/h] ; [/?]                         
ECHO ͹
ECHO  [source] = The drive letter where the drivers reside.      
ECHO  [\path]  = (Optional) Directory or Path where the drivers  
ECHO             where the drivers reside, Exculding the Drive!  
ECHO  [/i]     = (Required) To start the installation preocess   
ECHO  [/v]     = Show Installation program version.              
ECHO  [/h]     = This Help Screen                                
ECHO  [/?]     = Same as Above! ;)                               
ECHO                                                             
ECHO  Example: INSTALL C: \TEMP /I                               
ECHO ͹
ECHO  NOTE: Set OS/2 to VGA first!  NOTE: Use Only with Warp v4 
ECHO ͼ
ECHO   
GOTO END

:VER
ECHO ͻ
ECHO  ARK Logic, Inc  OS/2 Warp 4.0 drivers  Oct/08/1997 
ECHO ͹
ECHO  Public Release v1.01          Created By: Sefy Levy 
ECHO ͼ
GOTO END

REM ********* Error Levels ****************

:ERR1
ECHO.
ECHO Error: DSPINSTL.EXE was not found!
ECHO Info: DSPINSTL.EXE must be in the path.
GOTO END

:ERR2
ECHO.
ECHO Error: Invalid drive or path was specified!
ECHO Info: Please check the drive/path statement.
GOTO END

:ERR3
ECHO.
ECHO Error: Installation parameter missing!
ECHO Info: Please check the parameter argument.
GOTO END

:INSTALL
IF "%2"=="/i" GOTO START1
IF "%2"=="/I" GOTO START1
IF "%3"=="/i" GOTO START2
IF "%3"=="/I" GOTO START2
GOTO ERR3

:START1
IF NOT EXIST %1%2\DSPINSTL.EXE GOTO ERR2
IF NOT EXIST DSPINSTL.EXE GOTO ERR1
DSPINSTL %1
GOTO END

:START2
IF NOT EXIST %1%2\DSPINSTL.EXE GOTO ERR2
IF NOT EXIST DSPINSTL.EXE GOTO ERR1
DSPINSTL %1 %2
GOTO END

:END
